Move make-dist to scripts directory.
[matthijs/upstream/blosxom-plugins.git] / scripts / make-dist
diff --git a/scripts/make-dist b/scripts/make-dist
new file mode 100755 (executable)
index 0000000..4c91f5b
--- /dev/null
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Quick script to make a flattened tarball (unix)
+#
+
+cd `dirname $0`/..
+
+NAME=blosxom-plugins
+VERSION=`cat VERSION`
+
+for SIZE in large medium small; do
+  TARBALL="$NAME-$SIZE-$VERSION"
+  test -d $TARBALL && rm -rf $TARBALL
+  mkdir $TARBALL
+
+  # Small/Medium
+  if [ -f MANIFEST.$SIZE ]; then
+    for i in `cat MANIFEST.$SIZE`; do
+      if [ -f $i ]; then
+        cp -p $i $TARBALL
+      elif [ -f $NAME-large-$VERSION/$i ]; then
+        cp -p $NAME-large-$VERSION/$i $TARBALL
+      else
+        echo "Warning: cannot find plugin '$i' (MANIFEST.$SIZE)"
+      fi
+    done
+
+  # Large
+  else
+    # Copy everything
+    find * \( -name $TARBALL -o -name CVS \) -prune -o -type f -exec cp -p {} $TARBALL \;
+
+    # Prune unwanted files
+    for i in make-dist README.cvs blosxom-plugins-medium.spec; do
+      rm -f $TARBALL/$i
+    done
+  fi
+   
+  # Create tarball
+  which tar >/dev/null 2>&1
+  if [ $? == 0 ]; then
+    echo "Creating $TARBALL.tar.gz"
+    tar -zcf $TARBALL.tar.gz $TARBALL
+  fi
+
+  # Create zip file
+  which zip >/dev/null 2>&1
+  if [ $? == 0 ]; then
+    echo "Creating $TARBALL.zip"
+    zip -q -r $TARBALL.zip $TARBALL 
+  fi
+done
+
+for SIZE in large medium small; do
+  TARBALL="$NAME-$SIZE-$VERSION"
+  test -d $TARBALL && rm -rf $TARBALL
+done